#ifndef CLccubes_H__
#define CLccubes_H__

#include "cl_setup.h"

#ifndef _MSC_VER
#include <stdint.h>
#else
#include <stdint_msvc.h>
#endif

#define ROW_DIM 0
#define COL_DIM 1

struct ccubes_context {
	struct cl_uctx *clctx;

	cl_kernel ccubes_task;
};

int
clccubes(struct ccubes_context *ccubesctx, cl_mem alpha0, cl_mem G, size_t signals,
    size_t atoms, uint32_t sparsity, uint32_t pcoding, cl_mem gamma, cl_uint
    num_events_in_wait_list, const cl_event *event_wait_list, cl_event *ev_ccubes);

#endif
